## openjazz 0.1-1

=== debian/changelog ===
openjazz (0.1-1) unstable; urgency=low

  * Initial release

 -- CepiPerez <cepiperez@gmail.com>  Thu, 22 Apr 2010 09:36:31 -0300

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	make
	#docbook-to-man debian/hexen2.sgml > hexen2.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	make clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/hexen2.
	cp $(CURDIR)/openjazz.desktop $(CURDIR)/debian/openjazz/usr/share/applications/hildon/openjazz.desktop
	cp $(CURDIR)/icon-48.png $(CURDIR)/debian/openjazz/usr/share/icons/hicolor/48x48/hildon/openjazz.png
	cp $(CURDIR)/icon-64.png $(CURDIR)/debian/openjazz/usr/share/icons/hicolor/64x64/hildon/openjazz.png
	cp $(CURDIR)/src/modplug/libmodplug.so.0.0.0 $(CURDIR)/debian/openjazz/opt/openjazz/libmodplug.so.0
	cp $(CURDIR)/OpenJazz $(CURDIR)/debian/openjazz/opt/openjazz/OpenJazz
	cp $(CURDIR)/openjazz.000 $(CURDIR)/debian/openjazz/opt/openjazz/openjazz.000
	cp $(CURDIR)/openjazz.sh $(CURDIR)/debian/openjazz/usr/bin/smw


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## openjazz 0.1-4

=== Makefile ===
# OpenJazz makefile

objects = src/bonus/bonus.o \
	src/game/clientgame.o src/game/game.o src/game/gamemode.o \
	src/game/servergame.o \
	src/io/gfx/anim.o src/io/gfx/font.o src/io/gfx/paletteeffects.o \
	src/io/gfx/sprite.o src/io/gfx/video.o \
	src/io/controls.o src/io/file.o src/io/network.o src/io/sound.o \
	src/level/event/bridge.o src/level/event/guardians.o \
	src/level/event/event.o src/level/event/eventframe.o \
	src/level/bullet.o src/level/demolevel.o src/level/level.o \
	src/level/levelframe.o src/level/levelload.o \
	src/menu/gamemenu.o src/menu/mainmenu.o src/menu/menu.o \
	src/menu/menuutil.o src/menu/setupmenu.o \
	src/player/bird.o src/player/player.o src/player/playerframe.o \
	src/scene/scene.o src/scene/sceneload.o \
	src/main.o src/movable.o src/planet.o src/util.o \
	src/io/gfx/scale2x/getopt.o src/io/gfx/scale2x/pixel.o \
	src/io/gfx/scale2x/scale2x.o src/io/gfx/scale2x/scale3x.o \
	src/io/gfx/scale2x/scalebit.o src/io/gfx/scale2x/simple2x.o


OpenJazz: $(objects)
	cc -Wall -o OpenJazz -lSDL -Lsrc/modplug -lmodplug -lstdc++ $(objects)

%.o: %.cpp
	cc -Wall -DUSE_SOCKETS -DSCALE -Isrc -O2 -c $< -o $@

clean:
	rm -f OpenJazz $(objects)

## openjazz 0.1-2

=== debian/changelog ===
openjazz (0.1-2) unstable; urgency=low

  * Installation fix

 -- CepiPerez <cepiperez@gmail.com>  Thu, 22 Apr 2010 10:36:31 -0300

=== debian/control ===
Source: openjazz
Section: user/games
Priority: extra
Maintainer: CepiPerez <cepiperez@gmail.com>
Build-Depends: debhelper (>= 5), libsdl1.2-dev
Standards-Version: 3.7.2

Package: openjazz
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenJazz is a free, open-source version of the classic Jazz Jackrabbit games.
 To play, you will need the files from one of the original games. Copy them to /opt/openjazz folder.
 Check http://www.alister.eu/jazz/oj/faq.php for supported versions.
XSBC-Bugtracker: mailto:cepiperez@gmail.com
XSBC-Maemo-Display-Name: OpenJazz
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAN1wAADdcBQiibeAAAAAd0
 SU1FB9oEFgw6Aj0+fVsAABPbSURBVGje1Vp3fFVF2n7m1NtL7k1PCCEFQiJI
 DUgRWAFRxAKCnwWxRqVY0MWKK7oLriKKoAQLYEEBCyUiAsIm9CihhB5CIPWm
 3ZJbT53vj/3QdXUFdd39ffPXOWfa88w777xznhng/3kiv3cHnfrk44ZbBiEW
 CcIfbEUw3IFEWzKcNid0CdBi7Vg4d8N/l0DREzeieO4aUEpByPdNPjXnma6V
 we1/kPjwaFbUu0OQHKqmUhNMhCeGdj3EHdYjlj3J9ozjXTtnn4JP8T0482kf
 BQUogA6Q22ZOpB+8veb3JTBj6V95/9mtn4TagkNFi6U00eXa8M3e6svb+abb
 otQHlVcBkw7OpVGDG0SnOiWUITzhwEoCOFVEvMUNRKnCEDGsqCra60OsOZDw
 /s61+6f+bhZ4Z/48R7Dy2DPUwIwq8a8v0JN02LJVOG2J0JvjsWNVDfyNoWj2
 gE71TdHGdNkUNrCCBo2l0CMEUBlQkYKIOgQzAWdgAGjQwwwEjwM93IMGDxrQ
 a9dj9835fQjMv/+2/LTt+4/0FwjMJiv1mAjZL4Sxpls9ook6LDQOcWqCJ999
 xcCy0v3h9o62YkEXTopGVhYtYoKq6TVWoyOlNnBSDMrh/mEp1EWWVKtVcJxK
 tqRM+9vnu7b9Lj6wbds2jBgxAlMmTOwsbimt6cVImGSJg0lQIPNG1MXFozil
 CpUFQfC+RFg8PVZ+umr9LRMfmJDCGTxjZEv0VonvKPQ1h41JXBcftYTX2oy2
 iLcl4Is3pXYkObM/ev6xVxsIIfR3deK5Y0Yty6w8MqUzCDrxHETK4mjhpQhC
 wrATHjyT2oD6a1nQmu7vyJFgfNBYc5VuD3NqWEO0TYEs6RBNPFirCoOBhWhj
 wBgZME1uRM85qqx2x2Erb67JSswtbnWOrM7hyu1RJcRkmgvDwfAxqajouV9O
 YPHs2Zg6Zw4W3XjjOnLowLhmnaLGJUA7dgaJJgem7/4StZ9+gYLiZejgzJiS
 VU1DFo74NRmkjUU3UxckGVIhMDyopkCnEtoiEXilIIKaD1HGB5oQgymZhT2J
 g8FohOIxy5zI+CxuxhZuj6L9sKhnOi+5/OPlG/f/Kgssnj07JbJp28kNZ05Y
 rpj6EPYyb6GhvR7/0+lJ3D91KtYVv4PYn16FRDQcdvL4wu1HSkKKh+Gj0Fgp
 0cAKJN2eir7J+ciwZVCrwU4s0OEPxtDY2oazTa2oaq+DR29AO9sCJgWwpEoU
 PCXeSp6myHnvbV97YAoh5NdNIUopnim6cxTnTv3yy8pSxjF6FwTZhSW3luL9
 lXuxumw55NP7kHiKYJTLjjfTw/TKy8aNXvLKyi3PvvBk/60HN9wc1UK3SXqT
 g3fqDCNQGFmBghfAKBpRFRPVjUECokBlCKDpiDYTMP60UGZi/rQN729YcR4L
 92sIfPTR22CSU/sOu+JyZl3Vu6AcYIkmwsKbUPLlVsiWSjhv0hFYzOFYMAqb
 yEK2xyRKqZEQUg6gnFL60CNPzxoYPHP4D50U4z1hnW6vcgVe0kL0UYfTuSmm
 ee0tDW0pDksclTW2MSbFDl454trqxx5/wnvnjDvx7sJ3f70Tr3lrF1dRt/I9
 zej9nzp9H1r0ALqLQ/DcvW9g6h9fAtzr4UxTcOqLEITSCC6zOWlDnPt4MiGZ
 DMv4nXbHMbMcsaRyYmGqriDT7sLpSAhbBfa6hzdvW/ev+l29+kZMnPjDqMz+
 4uD1PGXq7NetFW2x8T07X45A7Fvk5ISg1/dAXlYWQuxmJKScBG3jMeUpHUoa
 h4qtIdLRHnEbOwIc1xG2Sq3NcWxA0WW/P84aDMLobybxoQBUSbkpLSvbOn3+
 wK1r1hyjxbNmoWTXru8Hbs2xH+G5IIF7nrgHFTsrvnu3dS1LSM47vZR319Il
 c4+QSy5rw5U3xhBo5XHykIaKbz/GruUhVB+SEJevID1foyF7HAkbsz5upPZ7
 EoYX5PWe1D/Fdnn67qMm27LjLnf9NwYh4YSiW+wRRc32+Qd7S0N3jRk9uqxo
 yRtNvykOUEpxc9GE+CjnuzIzMXNoVAqzLof7vaBU9jpjrS6o3mdG3lAfCoZo
 qNxjwMFZKgQfAx+l6POQE9c8E8a2tTKOf919b3bOJUt5hz4s6q2fnGuw0QcK
 rcQnCehQWBBIqK7ngmW17F3KjpPmTqCT/yZy9Su3b5/8j5vDn0o/68S3zhwH
 v3hsp71nODctNxl1lRp8LZ7xJDroQbUpd04Pd1y6JSRg2dwPkHxIwciwBZWs
 hB0kiivyOFRXajhaySC5v7UX0s692xD1IMC2Qq5PIrLXiI76ZoiCCLOZwKkZ
 rQcaY3Pyx4+eVPToouUAEJ048YJT+mcJ8Ab7UKGTklN3MkQFQznp33MIAnXU
 9tWGbQsHZV29MT2t86QBl/XFV/vXU9nsIZkmM4LpnfHo0AHI7L4W67bqoNks
 rdHLRd9eFZFGDbRDAA2co2+3GElDUIeZ7YDKGOieDA+JXip127T3k08ppbmE
 ELp2zZoLEvhZH0jNt9xlym6+PIkpIG1NXnREJJRt203rmlrElvZzz2Umdi3d
 XvZ1dz9/0unMDcN43IRB9z8Ik1WFrf9BHK2Ootknk7ZDAqjHdTRFLHgxy9q9
 xC6id1PYuc6R0utViU2s3yV7+osDJfC8DCmkxZV/fWJfxZ7Dpy9mUflZCzis
 jvzmlhCY9LPoTDOwZfkRmK0iiWcSY52t3Q92MKUz+k44kZkTpNi0yoSaLhFc
 xfM4G/bC5QjBzjOQK23o7hg+c+HyR19NEi/TAaCkpOSNsWPH6n9+awwOHt7W
 yVygQ9YiYMFAFxUEQ4E8AF/+ZgLBWLjl3B4dYW8r6pUQEgoEJOUTyhPF0PC3
 k6XDekUTuxU2Q4kaEIoJqFqfgtLqE6gzVyHLrCA5iYNd7Vpzy9Xj3jgPHgDG
 jh2rA0D1keo+YkbzH8MOH2VVEB0ETIyH3WTbc7HL+s8S0KlhX1oP/r7qb6OI
 NoYBI1BzVCWWOBFcG5/c3qagxQM4nTKUDgGDrhwIVo/i0vyzOLRHRdM5G+LS
 /cq1E6bE/rHdh5++F8F2ydRs/HYFdbSaGBXQCaAFQaONltritR/uWfzunzH1
 zqcuSID55w/b6fbvnnt3KtwY62DDuUN5WHM0uCwEndTkcC/r2IcS2ewPtqyR
 yOljHDztDFrbZZCUNTAVrERDSwNWv27F6f2PwWW8cdrtU8f/oI8FLyyFIVGb
 IViEfE7i0XRSgBwQULeXIXYlYyGAiwL/IwKllYsxnAwHAGzZ9bZ71NUpibl8
 75NVJSr8x0VkB8y4pV8h646XKyc/MnmJHIoLf7ON4nCpDo4H1i3S8dZfY1j6
 koL6M72hsrJ0xbDu5SsWf/pdH3c8ch0AoL62RfA1RqB7nTBxBjQfoGg9Ahg0
 c93s2bPxi6fQ5v0rUVMJUnq4uEcsJLaJBtbsC+odOc4unx2LHOidwYZxU3cW
 /RMjhlyL++s2nwpXgoiKbQKCfg3JCQTs1xosaSL8RIPEEBDJKx49QQsqYvt2
 9zYUUgAYcPMYsJQfUoNts2obA5CPUuiUA4iKJFeav0/vfuVz5sz5dbLKpn0f
 prlSg95QQL3D26TpH3/y2QuGrj6LAE4QGAZSYxCiP4jL3Yk4wdcjaawfFaU6
 MtKNSMiWUfG0iJHfGsARBq8bkqANm4IUx0nt2htyFpmt/C6GSdooq77wF8u/
 zqwW9u2zGaym5gp+j8PhLNMUvXNiUtrzKxZ/cPYX60JfV7wGRTP1Ys2Ry3SV
 STXwWPzsrFW8nHz8jKswRhhVoyohhDAMWFaAKWoFCTOwCF4MHBZCfDwAhsOJ
 HQaUPaAhLyziqMEMTHwFOfnpoG1fHp50a9p1rtTMtqrjtcxVve7omPb0PS5C
 WLroheL2fwQ0e/Zs/GILbN79GkscwnyOZyzDc4ruBoBrbx5xc5N754fOfIW2
 n2CJTimsKRScESA8BScysOiJEPw8cjp7kNuVRVuLhIVPE8S8DKwqIOTeTrPz
 xhO7fPh2S9zhuqaqQP4nKzcsKvGVMG67jAHMDfpv1aQ4AAhyNM8qaKMiPuPI
 86NwuHrPvvApg25MVphYkIX3lIZQowZXNgOTi0JTdQSFRggWHkfqE3HscAwG
 qsJgB+IHawDHgAQ+IaEzgTJbZ7mgLnZ6ObXaZgDAWOff44Cu62AY5rdro5sO
 FE/RLYGFSYaMgt7pk2rPZ05+4Larv/Fs+NTRq0NAjCfe04ASkhDXBbB0YsAa
 KViGguF5GBQrGo7EwNo18KwIUTPCHuegSkAiDlMMwSZz46DOz11qMde33nff
 4/9ecXfd/hcfCtAzC3Zvbl8RIQ0pJoFPa/P4agXB1BDziQX7Tu7un9RXQ1wK
 i/bjFG3VBLYMHc5UnvJ2mTACAcPr4AkPxc+jvlJHdm8nOqracNvdAsxmFiv+
 lKGmWkYPe/utl3f9O8VjDgBixL96/fq9L8Zlqbf75DM4c45HUI/lOV0UhlSK
 ZIbAs5eBmkPhLAAIb4R+2qk0+xp4cwqFxUXBmRmogoIYNCTmWNEvJ4g+NzPQ
 aRTlmwWakWp7dMnLL+/6KSc9Lwr/szh8MYkFAJc1oZecVH93O6lCVNIgtfBw
 5UbBshQUgCmewpRI4DlCoHgJkgtUuKxpR9LQZ5W3PtS93RMRpQ4d0XYg6qEI
 nlVxSTaL/aUx7NliwOlTRliN2e4BvQaXz3/5teYfROUlczGw3xBQSskvBf9d
 JOYMZqekSYhFdMgeDrqkI9TKINxMEGmliPpYcFaKzEIWHV4dLbUaos7jPUPC
 2cC8SW8mZJkKn+Hqk3epVQ6f/ygPz1Fg5fsadh8yolbVIObxpKqhphOnxlEA
 mD59+ncAju+ostw4bcjUK8f3PvrE/UXFTz4wtddzTz0pns8vLi6+sA/cccc1
 lrZORxq95/zWweFLcMrvoS26D1CMkHQFMcjQLVGwcRph7ApYIwNLvAoulOAf
 4ro/87lHnvMDwIuvv5i88I15B1RnR6IjXUNcFoEYx4AXKFhPBuyBS54w+jFv
 +Yfr8eTzUy01zVUT2tnqvzAprclyLIqMs/1wVdZYtPm8ta1EfyEpPvl9T2tz
 TOQ4zJo37ztCRUVF30+hO+8ch2XLNsidM7se7xIoCCcZk/dKMvd+si1rY15a
 zy9NUcNiNmx4p4u717eiz+1Vaiy2wFnVEQ1oENwxQ9s5n+l0hWfTvIXz8PiM
 x0MTrp+wq66hdqTKxewsBwpQolEKwRmjqqwNa/dJPS+9Ine613RoXsBZdVOE
 b7HWVUrQWB2RpFYaag3h1p5jHT1TUq4xMPp0XaVjIpLE53frVrv3wIFISUkJ
 pk2bhvLy8u8tMOXe67F86ec/Mk+AUmL/CYV4RtGDXSsqdj3m5etvsFgdyq3X
 F6XPuO9heebj0zF/3ut4+i+PZn5V9vnmVlqbbYpXqMEBwlgBA2ekblMyIfYI
 ApEWGm6hJHraEnVEu2wIUl8mMhv6mTuBdm7PIY90m4FLOuVQlWOIJxJG5blz
 sYPVZ3e0x+Riwc7tfGnugubi4nk/r0psP7LK/G24OfJY4YyflLkXvPKqvWzv
 lrTPV39x9Mci1GrmteVz3q0Pn7ydmBUY7QSiEzBaCGSFQm7hYY0k7+2a0PeO
 ZcWfngCAkbf22dFoqhgcn8uA9Vhwlfl6TC6ciLNN9YiLT4JkElD2zUGU7N7Q
 cs3Ya3KKih7v+BnwqwEAn25923Zmd+RH+UuWLPleO5o2+Qd5q1atAgAcPtPI
 jri+cGTf0RnlmZeZaepgQjOHWbQh43t8OOaWwYUbSzcLALBgwbMAgCdnThUG
 3dD1ve5TQIf/ldWHzmPouFkp9NGnRtE5j91HNyxaRMtWrtTXvPk6nXLLTR9d
 cIlavaX4/7TQlQQAVtO/k9q+/dmLWuLOEwGAiZOvG3Pp4JwFI68atvfVP7/i
 /qnyN0wehU9KNgjj7r+sPGscR4c8adJHvMLSkS/zdODjhBbenER7TBL0gglG
 2m9AXvWv0kbXNS1lrScaNMXWBaP73H7R9VJTU9HQ0HDBcqVHVlrDctsNK975
 7IGdlfv6c4kSBI4Hy6mwWgVo0MC2pJ67aeB13WbOXBD7RTup1XQ1rk2+VwNA
 dFXtvXbnW8n/StH753Qx4Dft+ShO1r13m4ya6/Y7R23tmd3rWT4oQDRqMBg5
 KCETzL6cz0xSVq+ZMxfE5s9/+LcdMX2+b8kQVjEc58wRNqiObjEb13YPhb1i
 Io2rHD5gpnLRVt3/pug0mPN8sifdKDr7kli0UYTlfYVXsj/65LMFRw/VmYmi
 7+yafum6ZUs+3pEz1oWqkvbfeEZGv6/9VeXCkQxjMHn9wa84EizkRAzTGOMR
 kfLro1qzMqHfiwCAU6c2AgByc6/CqlWrQQhlJ06cpG08Pne4QMx38cTUpITV
 UinsLVEFw3iq65wseW3uRPeKEXmPyEOHDkVZWdnvc9WgpGypINGY3WRkCkGY
 ZokJ+GNKR4Esh3vo0BsYQTwkcmiQ+EiEanGp0ZA/hVHDw+0mVy+HOfWo2WJd
 w8tK7Tlf40QrEy9HYvI5QVSS3A72o4FdZ0X/o3clth56I70jHHPZOKeZEw0N
 nuiJTIUJ95S0doVSEmNhsYOwHTxMdYzA1EWlWrsJ7r6CZhZkolTa2BRzLBZt
 nzD8j2UnW99D1/jJ/73LHuedesexEnMkVF8Q03VAlakuaCbGGHYG5AjPsmpd
 hpilx8IkS9LUcLgwccMkMvGifjfJfwL8v9omlx//glcYrzsWjCgKCfBOs8tb
 2O0uCQBW6aswiZl0wfb/F8PtPa0WdHxvAAAAAElFTkSuQmCC

## openjazz 0.1-3

=== debian/changelog ===
openjazz (0.1-3) unstable; urgency=low

  * Changed data folder to MyDocs/.openjazz

 -- CepiPerez <cepiperez@gmail.com>  Thu, 22 Apr 2010 12:03:12 -0300

## openjazz 0.1-4

=== debian/changelog ===
openjazz (0.1-4) unstable; urgency=low

  * Keyboard layout support

 -- CepiPerez <cepiperez@gmail.com>  Thu, 22 Apr 2010 12:13:05 -0300

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Architecture: armel
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: OpenJazz is a free, open-source version of the classic Jazz Jackrabbit games.
- To play, you will need the files from one of the original games. Copy them to /opt/openjazz folder.
+ To play, you will need the files from one of the original games. Copy them to MyDocs/.openjazz folder.
  Check http://www.alister.eu/jazz/oj/faq.php for supported versions.
 XSBC-Bugtracker: mailto:cepiperez@gmail.com
 XSBC-Maemo-Display-Name: OpenJazz

=== debian/rules ===
--- 
+++ 
@@ -62,7 +62,8 @@
 	cp $(CURDIR)/src/modplug/libmodplug.so.0.0.0 $(CURDIR)/debian/openjazz/opt/openjazz/libmodplug.so.0
 	cp $(CURDIR)/OpenJazz $(CURDIR)/debian/openjazz/opt/openjazz/OpenJazz
 	cp $(CURDIR)/openjazz.000 $(CURDIR)/debian/openjazz/opt/openjazz/openjazz.000
-	cp $(CURDIR)/openjazz.sh $(CURDIR)/debian/openjazz/usr/bin/smw
+	cp $(CURDIR)/openjazz.sh $(CURDIR)/debian/openjazz/usr/bin/openjazz
+	cp $(CURDIR)/rename.sh $(CURDIR)/debian/openjazz/opt/openjazz/rename.sh
 
 
 # Build architecture-independent files here.
@@ -98,6 +99,7 @@
 #	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
+	cp $(CURDIR)/postinst $(CURDIR)/debian/openjazz/DEBIAN/postinst
 	dh_builddeb
 
 binary: binary-indep binary-arch

## openjazz 0.1-5

=== debian/changelog ===
openjazz (0.1-5) unstable; urgency=low

  * Data files folder now can be MyDocs/.openjazz or MyDocs/.openjazz
  * Error message when no data files installed

 -- CepiPerez <cepiperez@gmail.com>  Thu, 22 Apr 2010 12:13:05 -0300

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
 Architecture: armel
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: OpenJazz is a free, open-source version of the classic Jazz Jackrabbit games.
- To play, you will need the files from one of the original games. Copy them to MyDocs/.openjazz folder.
+ To play, you will need the files from one of the original games.
+ Copy them to MyDocs/.openjazz or MyDocs/openjazz folder.
  Check http://www.alister.eu/jazz/oj/faq.php for supported versions.
 XSBC-Bugtracker: mailto:cepiperez@gmail.com
 XSBC-Maemo-Display-Name: OpenJazz

=== debian/rules ===
--- 
+++ 
@@ -60,10 +60,9 @@
 	cp $(CURDIR)/icon-48.png $(CURDIR)/debian/openjazz/usr/share/icons/hicolor/48x48/hildon/openjazz.png
 	cp $(CURDIR)/icon-64.png $(CURDIR)/debian/openjazz/usr/share/icons/hicolor/64x64/hildon/openjazz.png
 	cp $(CURDIR)/src/modplug/libmodplug.so.0.0.0 $(CURDIR)/debian/openjazz/opt/openjazz/libmodplug.so.0
-	cp $(CURDIR)/OpenJazz $(CURDIR)/debian/openjazz/opt/openjazz/OpenJazz
+	cp $(CURDIR)/OpenJazz $(CURDIR)/debian/openjazz/opt/openjazz/openjazz
 	cp $(CURDIR)/openjazz.000 $(CURDIR)/debian/openjazz/opt/openjazz/openjazz.000
 	cp $(CURDIR)/openjazz.sh $(CURDIR)/debian/openjazz/usr/bin/openjazz
-	cp $(CURDIR)/rename.sh $(CURDIR)/debian/openjazz/opt/openjazz/rename.sh
 
 
 # Build architecture-independent files here.

## openjazz 20190106

=== Makefile ===
# OpenJazz makefile
include openjazz.mk

# Sane defaults
CXX ?= g++
CXXFLAGS ?= -g -Wall -O2

CXXFLAGS += -DSCALE

# Network support
CXXFLAGS += -DUSE_SOCKETS
# Needed under Windows
#LIBS += -lws2_32

# SDL
CXXFLAGS += $(shell sdl-config --cflags)
LIBS += $(shell sdl-config --libs)

# music library: modplug, xmp
MUSICLIB ?= modplug
MUSICLIB_CFLAGS ?= $(shell pkg-config --silence-errors --cflags lib$(MUSICLIB))
MUSICLIB_LIBS ?= $(shell pkg-config --silence-errors --libs lib$(MUSICLIB))
ifneq ($(MUSICLIB_LIBS),)
	CXXFLAGS += -DUSE_$(MUSICLIB) $(MUSICLIB_CFLAGS)
	LIBS += $(MUSICLIB_LIBS)
endif

LIBS += -lm -lz

OpenJazz: $(OBJS)
	$(CXX) -o OpenJazz $(LDFLAGS) $(OBJS) $(LIBS)

%.o: %.cpp
	$(CXX) $(CXXFLAGS) -Isrc -c $< -o $@

clean:
	rm -f OpenJazz $(OBJS)

=== debian/changelog ===
openjazz (20190106-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:52:42 +0100

openjazz (20190106-3) unstable; urgency=medium

  * Modify the TryExec line in the HH95 desktop file to point
    to an actual executable instead of a directory.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 30 Nov 2019 00:28:02 +0100

openjazz (20190106-2) unstable; urgency=medium

  * Generate and install a separate desktop file for
    Jazz Jackrabbit Holiday Hare '95 (Closes: #942032).
  * Bump debhelper-compat to 12.
  * Bump Standards-Version to 4.4.1.
  * Rules-Requires-Root: no.
  * Add a Comment paragraph to debian/copyright explaining
    why the package is in the contrib section.
  * Apply some post-release commits from the upstream GIT repository.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 28 Nov 2019 17:10:53 +0100

openjazz (20190106-1) unstable; urgency=medium

  * New upstream version 20190106.
  * Remove all patches that were backported
    from the upstream GIT repository.
  * Generate manpage from POD template.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 08 Jan 2019 17:06:15 +0100

openjazz (20180522-3) unstable; urgency=medium

  * Fix debian/watch file.
  * Recommend a recent enough version of game-data-packager.
  * Install OJ main menu emblem into DATAPATH.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 22 Dec 2018 20:59:37 +0100

openjazz (20180522-2) unstable; urgency=medium

  * Put package under Debian Games Team maintenance,
    move myself to Uploaders.
  * Apply some post-release patches from the upstream GIT repo.
  * Install a man page generated from upstream's own
    unix/OpenJazz.6.pod template.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 20 Oct 2018 23:51:02 +0200

openjazz (20180522-1) unstable; urgency=medium

  * Initial release (Closes: #898301).

 -- Fabian Greffrath <fabian@debian.org>  Wed, 04 Jul 2018 20:53:10 +0200

=== debian/control ===
Source: openjazz
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Fabian Greffrath <fabian@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 libmodplug-dev,
 libsdl1.2-dev,
 pkg-config,
 zlib1g-dev
Standards-Version: 4.4.1
Homepage: http://www.alister.eu/jazz/oj/
Vcs-Browser: https://salsa.debian.org/games-team/openjazz
Vcs-Git: https://salsa.debian.org/games-team/openjazz.git
Rules-Requires-Root: no

Package: openjazz
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 game-data-packager (>= 62~)
Description: Jazz Jackrabbit™ game engine reimplementation
 OpenJazz is a free, open-source version of the classic Jazz Jackrabbit™ games.
 .
 Jazz Jackrabbit™ is a PC platform game. Produced by Epic Games (then Epic
 MegaGames), it was first released in 1994. The fast-paced, colourful gameplay
 proved popular, and the game won PC Format's Arcade Game of the Year award.
 Many people still fondly recall the shareware versions.
 .
 With the demise of DOS-based operating systems, it has become necessary to use
 emulators to play old DOS games. Jazz Jackrabbit™ deserves more - and would
 benefit greatly from new features.
 .
 To play, you will need the files from one of the original games. Current
 releases of `game-data-packager' are able to generate a suitable data package
 from the Jazz Jackrabbit Collection as published on GOG.

=== debian/rules ===
#!/usr/bin/make -f

DATAPATH = /usr/share/games/jazz-jackrabbit/

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall
export DEB_CPPFLAGS_MAINT_APPEND = -DHOMEDIR -DDATAPATH=\"$(DATAPATH)\"
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,--no-undefined

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		bindir=/usr/games

override_dh_auto_install:
	dh_auto_install -- \
		pkgdatadir="$(DATAPATH)"

override_dh_install:
	sed -e "/^Name/s/$$/ Holiday Hare '95/" \
	    -e "/^Exec/s/$$/ \/usr\/share\/games\/jazz-jackrabbit-hh95/" \
	    -e "$$ a TryExec=/usr/share/games/jazz-jackrabbit-hh95/jazz-jackrabbit" \
	    < $(CURDIR)/unix/OpenJazz.desktop \
	    > $(CURDIR)/debian/OpenJazz-HH95.desktop
	dh_install debian/OpenJazz-HH95.desktop usr/share/applications

override_dh_installman:
	pod2man unix/OpenJazz.6.pod > debian/OpenJazz.6
	dh_installman debian/OpenJazz.6

=== debian/watch ===
version=4
opts="uversionmangle=s/-/~/" \
https://github.com/AlisterT/@PACKAGE@/releases \
/AlisterT/@PACKAGE@/archive/@ANY_VERSION@@ARCHIVE_EXT@

## openjazz 20231028

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16...3.27)

project(OpenJazz
	VERSION 20231028
	LANGUAGES CXX
	HOMEPAGE_URL http://alister.eu/jazz/oj/)

# Extra CMake Module files

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_LIST_DIR}/builds/cmake)
include(CMakeDependentOption)
include(OJ-misc)
include(Platform-Helpers)

# We are in the process to migrate to C++11

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# OpenJazz

add_executable(OpenJazz
	# main engine
	src/game/clientgame.cpp
	src/game/game.cpp
	src/game/game.h
	src/game/gamemode.cpp
	src/game/gamemode.h
	src/game/localgame.cpp
	src/game/servergame.cpp
	src/io/controls.cpp
	src/io/controls.h
	src/io/file.cpp
	src/io/file.h
	src/io/gfx/anim.cpp
	src/io/gfx/anim.h
	src/io/gfx/font.cpp
	src/io/gfx/font.h
	src/io/gfx/paletteeffects.cpp
	src/io/gfx/paletteeffects.h
	src/io/gfx/sprite.cpp
	src/io/gfx/sprite.h
	src/io/gfx/video.cpp
	src/io/gfx/video.h
	src/io/log.cpp
	src/io/log.h
	src/io/network.cpp
	src/io/network.h
	src/io/sound.cpp
	src/io/sound.h
	src/level/level.cpp
	src/level/level.h
	src/level/levelplayer.h
	src/level/movable.cpp
	src/level/movable.h
	src/logo.h
	src/loop.h
	src/main.cpp
	src/menu/gamemenu.cpp
	src/menu/mainmenu.cpp
	src/menu/menu.cpp
	src/menu/menu.h
	src/menu/plasma.cpp
	src/menu/plasma.h
	src/menu/setupmenu.cpp
	src/OpenJazz.h
	src/platforms/platforms.h
	src/player/player.cpp
	src/player/player.h
	src/setup.cpp
	src/setup.h
	src/util.cpp
	src/util.h
	src/version.cpp
	src/version.h
	# episode 1
	src/jj1/bonuslevel/jj1bonuslevel.cpp
	src/jj1/bonuslevel/jj1bonuslevel.h
	src/jj1/bonuslevel/jj1bonuslevelplayer.cpp
	src/jj1/bonuslevel/jj1bonuslevelplayer.h
	src/jj1/level//jj1bird.cpp
	src/jj1/level//jj1bird.h
	src/jj1/level//jj1levelplayer.cpp
	src/jj1/level//jj1levelplayer.h
	src/jj1/level//jj1levelplayerframe.cpp
	src/jj1/level/event/jj1bridge.cpp
	src/jj1/level/event/jj1event.cpp
	src/jj1/level/event/jj1event.h
	src/jj1/level/event/jj1guardians.cpp
	src/jj1/level/event/jj1guardians.h
	src/jj1/level/event/jj1standardevent.cpp
	src/jj1/level/jj1bullet.cpp
	src/jj1/level/jj1bullet.h
	src/jj1/level/jj1demolevel.cpp
	src/jj1/level/jj1level.cpp
	src/jj1/level/jj1level.h
	src/jj1/level/jj1levelframe.cpp
	src/jj1/level/jj1levelload.cpp
	src/jj1/planet/jj1planet.cpp
	src/jj1/planet/jj1planet.h
	src/jj1/scene/jj1scene.cpp
	src/jj1/scene/jj1scene.h
	src/jj1/scene/jj1sceneload.cpp)
target_include_directories(OpenJazz PUBLIC src)

# portable mode

cmake_dependent_option(PORTABLE "Do not write to external directories, etc." OFF
	"NOT OJ_DEFAULT_PORTABLE" ON)
if(PORTABLE)
	set(PORTABLE_STATUS "Enabled")
	target_compile_definitions(OpenJazz PRIVATE PORTABLE)
else()
	set(PORTABLE_STATUS "Disabled")
endif()
if((PORTABLE AND OJ_DEFAULT_PORTABLE) OR (NOT PORTABLE AND NOT OJ_DEFAULT_PORTABLE))
	set(PORTABLE_STATUS "${PORTABLE_STATUS} (Default)")
endif()

# path to game data

set(DATAPATH "" CACHE PATH "Fixed path where game data is available")
if(DATAPATH)
	target_compile_definitions(OpenJazz PRIVATE DATAPATH="${DATAPATH}")
endif()

# libraries

if(LEGACY_SDL)
	find_package(SDL REQUIRED)
	target_include_directories(OpenJazz PRIVATE ${SDL_INCLUDE_DIR})
	set(OJ_LIBS_SDL ${SDL_LIBRARY})
	set(SDL_STATUS "SDL1.2 (legacy)")
else()
	find_package(SDL2 REQUIRED)
	target_include_directories(OpenJazz PRIVATE ${SDL2_INCLUDE_DIRS})
	set(OJ_LIBS_SDL ${SDL2_LIBRARIES})
	set(SDL_STATUS "SDL2")
endif()

# common bundled libraries

add_subdirectory(ext)

# network

set(NETWORK_STATUS "Disabled")
option(NETWORK "Enable Network support" ON)
if(NETWORK)
	set(NETWORK_STATUS "Enabled, platform specific")
	if(NOT OJ_LIBS_NET)
		# sockets
		include(CheckIncludeFileCXX)
		check_include_file_cxx(sys/socket.h HAVE_SOCKETS)
		if(HAVE_SOCKETS)
			set(NETWORK_STATUS "Enabled, sockets")
			target_compile_definitions(OpenJazz PRIVATE USE_SOCKETS)
		else()
			# SDL_net
			find_package(SDL_net)
			if(SDL_NET_FOUND)
				set(NETWORK_STATUS "Enabled, SDL_net")
				target_compile_definitions(OpenJazz PRIVATE USE_SDL_NET)
			else()
				set(NETWORK_STATUS "Disabled - no sockets or SDL_net found")
			endif()
		endif()
	endif()
endif()

# scaling

set(SCALE_STATUS "Disabled")
cmake_dependent_option(SCALE "Allow scaling" ON "OJ_ALLOW_SCALE;LEGACY_SDL" OFF)
if(SCALE)
	set(SCALE_STATUS "Enabled, scale2x")
	target_compile_definitions(OpenJazz PRIVATE SCALE)
	set(OJ_LIBS_SCALE scale2x)
	add_subdirectory(ext/scale2x)
elseif(NOT LEGACY_SDL)
	# FIXME: add codepath for gpu scaling
	set(SCALE_STATUS "Disabled (currently broken in SDL2 port)")
endif()

option(ENABLE_JJ2 "Enable experimental Episode 2 support (not recommended)" OFF)
if(ENABLE_JJ2)
	target_sources(OpenJazz PRIVATE
		src/jj2/level/event/jj2event.cpp
		src/jj2/level/event/jj2event.h
		src/jj2/level/event/jj2eventframe.cpp
		src/jj2/level/jj2layer.cpp
		src/jj2/level/jj2level.cpp
		src/jj2/level/jj2level.h
		src/jj2/level/jj2levelframe.cpp
		src/jj2/level/jj2levelload.cpp
		src/jj2/level/jj2levelplayer.cpp
		src/jj2/level/jj2levelplayer.h
		src/jj2/level/jj2levelplayerframe.cpp)
	target_compile_definitions(OpenJazz PRIVATE ENABLE_JJ2)
endif()

# version

string(TIMESTAMP OJ_DATE "%Y-%m-%d")
include(GetGitRevisionDescription)
git_get_exact_tag(GIT_TAG)
# Do not include a hash, if we are building a release tag
if(NOT GIT_TAG)
	# otherwise concatenate a version with hash
	git_describe(GIT_DESCRIPTION)
	if(GIT_DESCRIPTION)
		string(REPLACE "-" ";" GIT_DESCRIPTION ${GIT_DESCRIPTION})
		list(LENGTH GIT_DESCRIPTION GIT_DESCRIPTION_PARTS)
		if(GIT_DESCRIPTION_PARTS EQUAL 3)
			list(GET GIT_DESCRIPTION 0 GIT_TAG)
			list(GET GIT_DESCRIPTION 1 GIT_COMMITS)
			list(GET GIT_DESCRIPTION 2 GIT_HASH)
			set(GIT_STATUS "${GIT_COMMITS} commits since tag \"${GIT_TAG}\", ")
			string(PREPEND GIT_COMMITS "+")
		else()
			# no tags found, only hash
			list(GET GIT_DESCRIPTION 0 GIT_HASH)
		endif()
		# strip the g prefix
		string(SUBSTRING ${GIT_HASH} 1 -1 GIT_HASH)
		set(OJ_VERSION_GIT "git${GIT_COMMITS}@${GIT_HASH}")
		string(APPEND GIT_STATUS "object hash is ${GIT_HASH}")
		git_local_changes(GIT_DIRTY)
		if(GIT_DIRTY STREQUAL "DIRTY")
			string(APPEND OJ_VERSION_GIT "-dirty")
			string(APPEND GIT_STATUS ", with uncommitted changes")
		endif()
	endif()
endif()
set_property(SOURCE src/version.cpp PROPERTY COMPILE_DEFINITIONS
	OJ_VERSION="${PROJECT_VERSION}"; OJ_DATE="${OJ_DATE}";
	$<$<BOOL:${OJ_VERSION_GIT}>:OJ_VERSION_GIT="${OJ_VERSION_GIT}">)

# project links

set(OJ_BUGREPORT "https://github.com/AlisterT/openjazz/issues")
set_property(SOURCE src/main.cpp PROPERTY COMPILE_DEFINITIONS
	OJ_URL="${PROJECT_HOMEPAGE_URL}"; OJ_BUGREPORT="${OJ_BUGREPORT}")

target_link_libraries(OpenJazz
	argparse miniz psmplug ${OJ_LIBS_SCALE} ${OJ_LIBS_SDL} ${OJ_LIBS_NET} ${OJ_LIBS_HOST})

# platform stuff

if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
	target_compile_options(OpenJazz PRIVATE "-fno-math-errno")
endif()

if(WIN32)
	# open console for debug builds
	set_target_properties(OpenJazz PROPERTIES WIN32_EXECUTABLE $<$<NOT:$<CONFIG:Debug>>:TRUE>)
	# add icon
	target_sources(OpenJazz PRIVATE res/windows/OpenJazz.rc)
elseif(RISCOS)
	target_sources(OpenJazz PRIVATE
		src/platforms/riscos.cpp
		src/platforms/riscos.h)
	target_link_options(OpenJazz PRIVATE "-static")
	elf2aif(OpenJazz)
elseif(3DS)
	target_sources(OpenJazz PRIVATE
		src/platforms/3ds.cpp
		src/platforms/3ds.h)
	target_link_libraries(OpenJazz -lcitro3d)
	ctr_generate_smdh(OpenJazz.smdh
		NAME "OpenJazz"
		DESCRIPTION "Jack Jazzrabbit 1 game engine reimplementation"
		AUTHOR "AlisterT & carstene1ns"
		ICON ${CMAKE_CURRENT_SOURCE_DIR}/res/3ds/OpenJazz.png)
	ctr_create_3dsx(OpenJazz
		SMDH OpenJazz.smdh
		${ROMFS_ARG} ${ROMFS_PATH})
elseif(WII)
	target_sources(OpenJazz PRIVATE
		src/platforms/wii.cpp
		src/platforms/wii.h)
	target_link_libraries(OpenJazz -laesnd -lfat -lwiikeyboard)
	ogc_create_dol(OpenJazz)
elseif(PSP)
	target_sources(OpenJazz PRIVATE
		src/platforms/psp.cpp
		src/platforms/psp.h)
	target_link_libraries(OpenJazz
		-lGL -lpspdebug -lpspgu -lpspctrl -lpspge -lpspdisplay -lpsphprm -lpspvfpu -lpspaudio -lpspirkeyb -lpsppower)
	create_pbp_file(TARGET OpenJazz
		TITLE "\"Jazz Jackrabbit (OpenJazz)\""
		ICON_PATH ${CMAKE_CURRENT_SOURCE_DIR}/res/psp/icon.png
		BUILD_PRX)
elseif(PSVITA) # unfinished
	target_sources(OpenJazz PRIVATE
		src/platforms/psvita.cpp
		src/platforms/psvita.h)
elseif(GP2X OR WIZ)
	target_sources(OpenJazz PRIVATE
		src/platforms/wiz.cpp
		src/platforms/wiz.h)
elseif(HAIKU)
	target_sources(OpenJazz PRIVATE
		src/platforms/haiku.cpp
		src/platforms/haiku.h)
elseif(UNIX)
	target_sources(OpenJazz PRIVATE
		src/platforms/xdg.cpp
		src/platforms/xdg.h)
	target_link_libraries(OpenJazz -lm)
endif()

# installation

if(WIN32)
	# put everything in a folder
	install(TARGETS OpenJazz DESTINATION dist)
elseif(3DS)
	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/OpenJazz.3dsx
		DESTINATION OpenJazz COMPONENT 3ds)
elseif(WII)
	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/OpenJazz.dol
		RENAME boot.dol
		DESTINATION OpenJazz COMPONENT wii)
	install(FILES res/wii/icon.png res/wii/meta.xml res/wii/READMII.txt
		DESTINATION OpenJazz COMPONENT wii)
elseif(PSP)
	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/EBOOT.PBP
		DESTINATION OpenJazz COMPONENT psp)
	install(TARGETS OpenJazz RUNTIME DESTINATION . COMPONENT debug)
elseif(RISCOS)
	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/OpenJazz,ff8
		res/riscos/!Run,feb res/riscos/!Boot,feb res/riscos/!Sprites,ff9
		DESTINATION !OpenJazz COMPONENT riscos)
elseif(PANDORA OR CANOO OR WIZ OR GP2X OR DINGOO OR GAMESHELL)
	# left blank for the moment (TODO: opk?)
elseif(UNIX)
	include(GNUInstallDirs)

	install(TARGETS OpenJazz RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
	install(FILES res/unix/OpenJazz.png DESTINATION ${CMAKE_INSTALL_DATADIR}/pixmaps)
	install(FILES res/unix/OpenJazz.png DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/48x48/apps)
	install(FILES res/unix/OpenJazz.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
	install(FILES res/unix/OpenJazz.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
else()
	message(VERBOSE "No idea how to install for your platform")
endif()

# debug information

if(3DS OR WII)
	install(TARGETS OpenJazz RUNTIME DESTINATION . COMPONENT debug)
	dkp_target_generate_symbol_list(OpenJazz)
	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/OpenJazz.map
			${CMAKE_CURRENT_BINARY_DIR}/OpenJazz.lst
		DESTINATION . COMPONENT debug)
endif()

# packaging for distribution

set(CPACK_GENERATOR "ZIP")
set(CPACK_SOURCE_GENERATOR ";") # disable
set(CPACK_ARCHIVE_COMPONENT_INSTALL ON) # split archives
set(CPACK_PACKAGE_FILE_NAME "OpenJazz-${PROJECT_VERSION}")
set(CPACK_ARCHIVE_DEBUG_FILE_NAME "${CPACK_PACKAGE_FILE_NAME}-debug")
set(CPACK_COMPONENT_INCLUDE_TOPLEVEL_DIRECTORY OFF) # we do this manually
include(CPack)

# manual page

find_program(ASCIIDOCTOR_EXECUTABLE asciidoctor)
set(MANUAL_STATUS "Unavailable")
set(MAN_PATH "res/unix/OpenJazz.6")
if(ASCIIDOCTOR_EXECUTABLE)
	add_custom_command(OUTPUT ${MAN_PATH}
		COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_CURRENT_BINARY_DIR}/res/unix
		COMMAND ${ASCIIDOCTOR_EXECUTABLE} -a oj_version="${PROJECT_VERSION}"
			-b manpage -o ${CMAKE_CURRENT_BINARY_DIR}/${MAN_PATH}
			${CMAKE_CURRENT_SOURCE_DIR}/${MAN_PATH}.adoc
		DEPENDS ${MAN_PATH}.adoc
		COMMENT "(Re-)building manual page"
		VERBATIM)
	if(UNIX)
		add_custom_target(man ALL DEPENDS ${MAN_PATH})
		install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${MAN_PATH}
			DESTINATION ${CMAKE_INSTALL_MANDIR}/man6)
		set(MANUAL_STATUS "Generated")
	else()
		add_custom_target(man DEPENDS ${MAN_PATH})
		set(MANUAL_STATUS "Optional")
	endif()
else()
	# distribution archive?
	if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${MAN_PATH})
		if(UNIX)
			install(FILES ${MAN_PATH} DESTINATION ${CMAKE_INSTALL_MANDIR}/man6)
		endif()
		set(MANUAL_STATUS "Bundled")
	endif()
endif()
unset(MAN_PATH)

# Print short summary
message(STATUS "")
message(STATUS "OpenJazz")
message(STATUS "========")
message(STATUS "Version: ${PROJECT_VERSION}")

=== Makefile ===
# OpenJazz makefile
include openjazz.mk

# Sane defaults
CXX ?= g++
CXXFLAGS ?= -g -Wall -O2
DEFINES = -DSCALE -DPORTABLE
CPPFLAGS = $(DEFINES) -Isrc -Iext/scale2x -Iext/psmplug -Iext/miniz -Iext/argparse

# Network support
CXXFLAGS += -DUSE_SOCKETS
ifeq ($(OS),Windows_NT)
	# Only needed under Windows.
	LIBS += -lws2_32
endif

# SDL1.2 or SDL2
SDLCONFIG ?= sdl-config
CXXFLAGS += $(shell $(SDLCONFIG) --cflags)
LIBS += $(shell $(SDLCONFIG) --libs)

LIBS += -lm

.PHONY: clean

OpenJazz: $(OBJS)
	@-echo [LD] $@
	@$(CXX) -o OpenJazz $(LDFLAGS) $(OBJS) $(LIBS)

%.o: %.cpp
	@-echo [CXX] $<
	@$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $< -o $@

clean:
	@-echo Cleaning...
	@rm -f OpenJazz $(OBJS)

=== ext/scale2x/CMakeLists.txt ===
# scale2x

include(Find-Restrict-Keyword)

add_library(scale2x STATIC
	scale2x.cpp
	scale2x.h
	scale3x.cpp
	scale3x.h
	scalebit.cpp
	scalebit.h
)
target_compile_definitions(scale2x PRIVATE
	USE_SCALE_RANDOMWRITE
	restrict=${RESTRICT_KEYWORD})
target_include_directories(scale2x PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

=== debian/changelog ===
openjazz (20231028-2) unstable; urgency=medium

  * Apply some post-release upstream patches.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 20 Nov 2023 08:58:01 +0100

openjazz (20231028-1) unstable; urgency=medium

  * New upstream version 20231028.
  * Remove all patches, applied (or solved differently) upstream.
  * Adjust Build-Depends to new upstream release:
    + Add asciidoctor and cmake,
    + Replace libsdl1.2-dev with libsdl2-dev (Closes: #1038523),
    + Remove libmodplug-dev and zlib1g-dev.
  * Adapt debian/rules to upstream build system changes.
  * Update debian/copyright.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 31 Oct 2023 09:00:09 +0100

openjazz (20190106-4) unstable; urgency=medium

  [ Reiner Herrmann ]
  * Fix watch file

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Fabian Greffrath ]
  * Update debian/watch file (Closes: #1037518).
  * Bump Standards-Version to 4.6.2.
  * Change Homepage field to Github project page.
  * Mention unapplied patch as a comment in patches/series file.
  * Mark homedir.patch as forwarded upstream.
  * Update Debian packaging copyright.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 23 Jun 2023 11:56:11 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders:
  Fabian Greffrath <fabian@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
- libmodplug-dev,
- libsdl1.2-dev,
+ asciidoctor,
+ cmake,
+ debhelper-compat (= 13),
+ libsdl2-dev,
  pkg-config,
- zlib1g-dev
-Standards-Version: 4.4.1
-Homepage: http://www.alister.eu/jazz/oj/
+Standards-Version: 4.6.2
+Homepage: https://github.com/AlisterT/openjazz
 Vcs-Browser: https://salsa.debian.org/games-team/openjazz
 Vcs-Git: https://salsa.debian.org/games-team/openjazz.git
 Rules-Requires-Root: no
@@ -22,7 +22,7 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
- game-data-packager (>= 62~)
+ game-data-packager
 Description: Jazz Jackrabbit™ game engine reimplementation
  OpenJazz is a free, open-source version of the classic Jazz Jackrabbit™ games.
  .

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = \
	-DOJ_DATE='"$(shell date --utc --date=@${SOURCE_DATE_EPOCH} +%Y-%m-%d)"' \
	-DOJ_VERSION='"$(DEB_VERSION)"' \
	-UOJ_VERSION_GIT

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_BINDIR=games \
		-DDATAPATH=/usr/share/games/jazz-jackrabbit

override_dh_install:
	sed -e "/^Name/s/$$/ Holiday Hare '95/" \
	    -e "/^Exec/s/$$/ \/usr\/share\/games\/jazz-jackrabbit-hh95/" \
	    -e "$$ a TryExec=/usr/share/games/jazz-jackrabbit-hh95/jazz-jackrabbit" \
	    < $(CURDIR)/res/unix/OpenJazz.desktop \
	    > $(CURDIR)/debian/OpenJazz-HH95.desktop
	dh_install debian/OpenJazz-HH95.desktop usr/share/applications

=== debian/watch ===
version=4
https://github.com/AlisterT/@PACKAGE@/tags \
https://github.com/AlisterT/@PACKAGE@/archive/refs/tags/@ANY_VERSION@@ARCHIVE_EXT@

## openjazz 20240919

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
-cmake_minimum_required(VERSION 3.16...3.27)
+cmake_minimum_required(VERSION 3.16...3.29)
 
 project(OpenJazz
-	VERSION 20231028
+	VERSION 20240919
 	LANGUAGES CXX
 	HOMEPAGE_URL http://alister.eu/jazz/oj/)
 
@@ -12,9 +12,9 @@
 include(OJ-misc)
 include(Platform-Helpers)
 
-# We are in the process to migrate to C++11
-
-set(CMAKE_CXX_STANDARD 11)
+# We are in the process to migrate to C++14
+
+set(CMAKE_CXX_STANDARD 14)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 # OpenJazz
@@ -56,6 +56,7 @@
 	src/logo.h
 	src/loop.h
 	src/main.cpp
+	src/menu/filemenu.cpp
 	src/menu/gamemenu.cpp
 	src/menu/mainmenu.cpp
 	src/menu/menu.cpp
@@ -69,6 +70,7 @@
 	src/player/player.h
 	src/setup.cpp
 	src/setup.h
+	src/types.h
 	src/util.cpp
 	src/util.h
 	src/version.cpp
@@ -98,6 +100,8 @@
 	src/jj1/level/jj1levelload.cpp
 	src/jj1/planet/jj1planet.cpp
 	src/jj1/planet/jj1planet.h
+	src/jj1/save/jj1save.cpp
+	src/jj1/save/jj1save.h
 	src/jj1/scene/jj1scene.cpp
 	src/jj1/scene/jj1scene.h
 	src/jj1/scene/jj1sceneload.cpp)
@@ -126,7 +130,12 @@
 
 # libraries
 
-if(LEGACY_SDL)
+if(EMSCRIPTEN)
+	# emscripten ships a "port" of SDL2
+	set(OJ_LIBS_SDL "SDL2")
+	set(SDL_STATUS "SDL2 (emscripten port)")
+	target_compile_options(OpenJazz PRIVATE "--use-port=sdl2;-flto;-fexceptions")
+elseif(LEGACY_SDL)
 	find_package(SDL REQUIRED)
 	target_include_directories(OpenJazz PRIVATE ${SDL_INCLUDE_DIR})
 	set(OJ_LIBS_SDL ${SDL_LIBRARY})
@@ -207,7 +216,7 @@
 # Do not include a hash, if we are building a release tag
 if(NOT GIT_TAG)
 	# otherwise concatenate a version with hash
-	git_describe(GIT_DESCRIPTION)
+	git_describe(GIT_DESCRIPTION --exclude continuous)
 	if(GIT_DESCRIPTION)
 		string(REPLACE "-" ";" GIT_DESCRIPTION ${GIT_DESCRIPTION})
 		list(LENGTH GIT_DESCRIPTION GIT_DESCRIPTION_PARTS)
@@ -256,6 +265,16 @@
 	set_target_properties(OpenJazz PROPERTIES WIN32_EXECUTABLE $<$<NOT:$<CONFIG:Debug>>:TRUE>)
 	# add icon
 	target_sources(OpenJazz PRIVATE res/windows/OpenJazz.rc)
+elseif(EMSCRIPTEN)
+	set_target_properties(OpenJazz PROPERTIES SUFFIX ".html")
+	set(JS_SHELL "${CMAKE_CURRENT_SOURCE_DIR}/res/emscripten/shell.html")
+
+	set_property(TARGET OpenJazz PROPERTY LINK_FLAGS
+		"--shell-file ${JS_SHELL} -sMINIFY_HTML=0 -flto --use-port=sdl2
+		 -sFORCE_FILESYSTEM -sEXIT_RUNTIME=1 -sASYNCIFY
+		 -sENVIRONMENT=web --closure 1 -sEXPORTED_RUNTIME_METHODS=['allocate']
+		 -sASSERTIONS -sNO_DISABLE_EXCEPTION_CATCHING")
+	set_source_files_properties("src/main.cpp" PROPERTIES OBJECT_DEPENDS "${JS_SHELL}")
 elseif(RISCOS)
 	target_sources(OpenJazz PRIVATE
 		src/platforms/riscos.cpp
@@ -314,7 +333,29 @@
 
 if(WIN32)
 	# put everything in a folder
-	install(TARGETS OpenJazz DESTINATION dist)
+	install(TARGETS OpenJazz RUNTIME DESTINATION dist)
+	install(CODE [[
+		file(GET_RUNTIME_DEPENDENCIES
+			EXECUTABLES
+				$<TARGET_FILE:OpenJazz>
+			RESOLVED_DEPENDENCIES_VAR _r_deps
+			UNRESOLVED_DEPENDENCIES_VAR _u_deps
+			DIRECTORIES
+				$<TARGET_FILE_DIR:SDL2::SDL2>
+		)
+		foreach(_file ${_r_deps})
+			string(TOLOWER ${_file} _file_lower)
+			if(NOT ${_file_lower} MATCHES "c:[\\/]windows[\\/]system32.*")
+				file(INSTALL
+					DESTINATION dist
+					TYPE SHARED_LIBRARY
+					FOLLOW_SYMLINK_CHAIN
+					FILES "${_file}"
+				)
+			endif()
+		endforeach()
+		#message("UNRESOLVED_DEPENDENCIES_VAR: ${_u_deps}")
+		]])
 elseif(3DS)
 	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/OpenJazz.3dsx
 		DESTINATION OpenJazz COMPONENT 3ds)
@@ -361,47 +402,3 @@
 set(CPACK_GENERATOR "ZIP")
 set(CPACK_SOURCE_GENERATOR ";") # disable
 set(CPACK_ARCHIVE_COMPONENT_INSTALL ON) # split archives
-set(CPACK_PACKAGE_FILE_NAME "OpenJazz-${PROJECT_VERSION}")
-set(CPACK_ARCHIVE_DEBUG_FILE_NAME "${CPACK_PACKAGE_FILE_NAME}-debug")
-set(CPACK_COMPONENT_INCLUDE_TOPLEVEL_DIRECTORY OFF) # we do this manually
-include(CPack)
-
-# manual page
-
-find_program(ASCIIDOCTOR_EXECUTABLE asciidoctor)
-set(MANUAL_STATUS "Unavailable")
-set(MAN_PATH "res/unix/OpenJazz.6")
-if(ASCIIDOCTOR_EXECUTABLE)
-	add_custom_command(OUTPUT ${MAN_PATH}
-		COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_CURRENT_BINARY_DIR}/res/unix
-		COMMAND ${ASCIIDOCTOR_EXECUTABLE} -a oj_version="${PROJECT_VERSION}"
-			-b manpage -o ${CMAKE_CURRENT_BINARY_DIR}/${MAN_PATH}
-			${CMAKE_CURRENT_SOURCE_DIR}/${MAN_PATH}.adoc
-		DEPENDS ${MAN_PATH}.adoc
-		COMMENT "(Re-)building manual page"
-		VERBATIM)
-	if(UNIX)
-		add_custom_target(man ALL DEPENDS ${MAN_PATH})
-		install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${MAN_PATH}
-			DESTINATION ${CMAKE_INSTALL_MANDIR}/man6)
-		set(MANUAL_STATUS "Generated")
-	else()
-		add_custom_target(man DEPENDS ${MAN_PATH})
-		set(MANUAL_STATUS "Optional")
-	endif()
-else()
-	# distribution archive?
-	if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${MAN_PATH})
-		if(UNIX)
-			install(FILES ${MAN_PATH} DESTINATION ${CMAKE_INSTALL_MANDIR}/man6)
-		endif()
-		set(MANUAL_STATUS "Bundled")
-	endif()
-endif()
-unset(MAN_PATH)
-
-# Print short summary
-message(STATUS "")
-message(STATUS "OpenJazz")
-message(STATUS "========")
-message(STATUS "Version: ${PROJECT_VERSION}")

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,7 @@
 # OpenJazz makefile
-include openjazz.mk
 
 # Sane defaults
-CXX ?= g++
+CXX ?= g++ -std=c++14
 CXXFLAGS ?= -g -Wall -O2
 DEFINES = -DSCALE -DPORTABLE
 CPPFLAGS = $(DEFINES) -Isrc -Iext/scale2x -Iext/psmplug -Iext/miniz -Iext/argparse
@@ -21,11 +20,90 @@
 
 LIBS += -lm
 
+# Libraries
+OJEXTLIBOBJ = \
+	ext/argparse/argparse.o \
+	ext/miniz/miniz.o \
+	ext/psmplug/fastmix.o \
+	ext/psmplug/load_psm.o \
+	ext/psmplug/psmplug.o \
+	ext/psmplug/snd_dsp.o \
+	ext/psmplug/snd_flt.o \
+	ext/psmplug/snd_fx.o \
+	ext/psmplug/sndfile.o \
+	ext/psmplug/sndmix.o \
+	ext/scale2x/scale2x.o \
+	ext/scale2x/scale3x.o \
+	ext/scale2x/scalebit.o
+
+# Main engine
+OJOBJS = \
+	src/game/clientgame.o \
+	src/game/game.o \
+	src/game/gamemode.o \
+	src/game/localgame.o \
+	src/game/servergame.o \
+	src/io/controls.o \
+	src/io/file.o \
+	src/io/log.o \
+	src/io/gfx/anim.o \
+	src/io/gfx/font.o \
+	src/io/gfx/paletteeffects.o \
+	src/io/gfx/sprite.o \
+	src/io/gfx/video.o \
+	src/io/network.o \
+	src/io/sound.o \
+	src/level/level.o \
+	src/level/movable.o \
+	src/main.o \
+	src/menu/filemenu.o \
+	src/menu/gamemenu.o \
+	src/menu/mainmenu.o \
+	src/menu/menu.o \
+	src/menu/plasma.o \
+	src/menu/setupmenu.o \
+	src/player/player.o \
+	src/setup.o \
+	src/util.o \
+	src/version.o
+
+# Episode 1
+OJ1OBJS = \
+	src/jj1/bonuslevel/jj1bonuslevel.o \
+	src/jj1/bonuslevel/jj1bonuslevelplayer.o \
+	src/jj1/level/event/jj1bridge.o \
+	src/jj1/level/event/jj1event.o \
+	src/jj1/level/event/jj1guardians.o \
+	src/jj1/level/event/jj1standardevent.o \
+	src/jj1/level/jj1bird.o \
+	src/jj1/level/jj1bullet.o \
+	src/jj1/level/jj1demolevel.o \
+	src/jj1/level/jj1level.o \
+	src/jj1/level/jj1levelframe.o \
+	src/jj1/level/jj1levelload.o \
+	src/jj1/level/jj1levelplayer.o \
+	src/jj1/level/jj1levelplayerframe.o \
+	src/jj1/planet/jj1planet.o \
+	src/jj1/save/jj1save.o \
+	src/jj1/scene/jj1scene.o \
+	src/jj1/scene/jj1sceneload.o
+
+OBJS = $(OJEXTLIBOBJ) $(OJOBJS) $(OJ1OBJS)
+
+# Stamp
+DEPR = .mk-stamp-depr
+
+# Build rules
 .PHONY: clean
 
-OpenJazz: $(OBJS)
+OpenJazz: $(DEPR) $(OBJS)
 	@-echo [LD] $@
 	@$(CXX) -o OpenJazz $(LDFLAGS) $(OBJS) $(LIBS)
+
+$(DEPR):
+	@-echo [WARNING] This Makefile is deprecated! Please use CMake, if possible.
+	@-echo           Report problems at https://github.com/AlisterT/openjazz/issues
+	@touch $(DEPR)
 
 %.o: %.cpp
 	@-echo [CXX] $<
@@ -33,4 +111,4 @@
 
 clean:
 	@-echo Cleaning...
-	@rm -f OpenJazz $(OBJS)
+	@rm -f OpenJazz $(OBJS) $(DEPR)

=== ext/CMakeLists.txt ===

# argparse

add_library(argparse STATIC argparse/argparse.h argparse/argparse.cpp)
target_include_directories(argparse PUBLIC argparse)

# miniz

add_library(miniz STATIC miniz/miniz.h miniz/miniz.cpp)
target_compile_definitions(miniz PUBLIC	MINIZ_NO_ARCHIVE_APIS)
#target_compile_definitions(miniz PRIVATE _LARGEFILE64_SOURCE)
target_include_directories(miniz PUBLIC miniz)

# psmplug

add_library(psmplug STATIC
	psmplug/fastmix.cpp
	psmplug/load_psm.cpp
	psmplug/psmplug.cpp
	psmplug/psmplug.h
	psmplug/snd_dsp.cpp
	psmplug/snd_flt.cpp
	psmplug/snd_fx.cpp
	psmplug/sndfile.cpp
	psmplug/sndfile.h
	psmplug/sndmix.cpp
	psmplug/stdafx.h
	psmplug/tables.h
)
target_include_directories(psmplug PUBLIC psmplug)

=== debian/changelog ===
openjazz (20240919-1) unstable; urgency=medium

  * New upstream version 20240919
  * Remove patches backported from upstream
  * Replace Build-Depends: pkg-config with pkgconf
  * Bump Standards-Version to 4.7.0
  * Bump Debian packaging copyright year

 -- Fabian Greffrath <fabian@debian.org>  Fri, 27 Sep 2024 08:46:24 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
  cmake,
  debhelper-compat (= 13),
  libsdl2-dev,
- pkg-config,
-Standards-Version: 4.6.2
+ pkgconf,
+Standards-Version: 4.7.0
 Homepage: https://github.com/AlisterT/openjazz
 Vcs-Browser: https://salsa.debian.org/games-team/openjazz
 Vcs-Git: https://salsa.debian.org/games-team/openjazz.git
